# H248_AuditResult Class Reference

`#include <h248.h>`

Inheritance diagram for H248_AuditResult:

List of all members.

## Public Member Functions

| H248_AuditResult (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_TerminationID | m_terminationID
H248_TerminationAudit | m_terminationAuditResult

## Constructor & Destructor Documentation

H248_AuditResult::H248_AuditResult | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_AuditResult::GetDataLength | ( |  | ) | const

PBoolean H248_AuditResult::Decode | ( | PASN_Stream & | strm | ) |

void H248_AuditResult::Encode | ( | PASN_Stream & | strm | ) | const

void H248_AuditResult::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_AuditResult::Compare | ( | const PObject & | obj | ) | const

PObject* H248_AuditResult::Clone | ( |  | ) | const

## Member Data Documentation

H248_TerminationID H248_AuditResult::m_terminationID

H248_TerminationAudit H248_AuditResult::m_terminationAuditResult

The documentation for this class was generated from the following file:

- h248.h